SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001599SiT!otherpublic2011-06-15 12:022013-05-04 13:20
ReporterTomse 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001599: statistics page shows wrong feedback stats
Descriptionit counts 4, but there are only 3
TagsNo tags attached.
Attached Filespng file icon statistics.png [^] (23,254 bytes) 2011-06-15 12:02

- Relationships
related to 0001561resolvedTomse Calculation error on feedback report 
related to 0001024assignedTomse feedback reports only show questions of type rating 
child of 0001458resolvedTomse [META] Working feedback system 

-  Notes
User avatar (0004009)
paulh (administrator)
2011-06-15 19:24

The X results is the number of completed feedback forms not the number of questions or are you saying only 3 forms have been filled in?
User avatar (0004012)
Tomse (developer)
2011-06-15 19:36
edited on: 2011-06-16 14:28

From the look of it (also from the code) the code says there are 4 rating fields, but there are only 3.
if it counts the amount of feedback forms submitted, it's way off, as I have perhaps 10

the math is also wrong as a rating of 0 is not 0, but unanswered, therefore
0+0+9 shouldn't be divided by 3, but by 1, this is not shown here in the example though.
I've fixed this bug recently, and this one should have a relationship to it. 0001561

User avatar (0004249)
ivan (administrator)
2011-08-21 11:34

I can see stats for 2 but it should actually show stats for 3 (or 5 if it were to count forms for the same incident separately).

I also noticed the stats are hard coded to display for form 1 only.
User avatar (0004792)
Tomse (developer)
2013-05-02 10:56

This is an update as pr ericthefish request:

I haven't tested this recently.

the issue here is that there are 3 questions, but the bottom line calculates as there are 4 questions
User avatar (0004809)
paulh (administrator)
2013-05-04 13:20

This was an issue with wording and 03874dd corrects the wording

- Issue History
Date Modified Username Field Change
2011-06-15 12:02 Tomse New Issue
2011-06-15 12:02 Tomse File Added: statistics.png
2011-06-15 12:04 Tomse Relationship added child of 0001458
2011-06-15 12:04 Tomse Relationship added related to 0001561
2011-06-15 12:05 Tomse Relationship added related to 0001024
2011-06-15 19:24 paulh Note Added: 0004009
2011-06-15 19:24 paulh Status new => feedback
2011-06-15 19:36 Tomse Note Added: 0004012
2011-06-15 19:36 Tomse Status feedback => new
2011-06-15 19:36 Tomse Assigned To => Tomse
2011-06-16 14:28 Tomse Note Edited: 0004012 View Revisions
2011-08-21 11:34 ivan Note Added: 0004249
2011-08-21 11:34 ivan Status new => confirmed
2011-08-21 11:34 ivan Target Version => 3.90beta1
2013-05-02 10:56 Tomse Note Added: 0004792
2013-05-04 13:20 paulh Note Added: 0004809
2013-05-04 13:20 paulh Assigned To Tomse => paulh
2013-05-04 13:20 paulh Status confirmed => resolved
2013-05-04 13:20 paulh Resolution open => fixed
2013-05-04 13:20 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker